Summary: Hangul X Input Method
Name: nabi
Version: 0.18
Release: 9%{?dist}

Group: User Interface/X
License: GPLv2+
URL: http://nabi.kldp.net/
Source0: nabi-%{version}_fedora.tar.gz

# The upstream tarball
# http://download.kldp.net/%{name}/Nabi/%{version}/%{name}-%{version}.tar.gz
# currently contains some themes with images based on propriety desktops.
# Hence, we use the following script to remove them before shipping.
# Download the upstream tarball and invoke this script while in the
# tarball directory:
# ./theme-removal.sh %{version}
# (Upstream will probably remove the said themes from a feature release.)

Source1: theme-removal.sh
Source2: xinput.d-%{name}
Patch0: nabi-makefile.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires: gtk2-devel >= 2.2.0
BuildRequires: libhangul-devel >= 0.0.6
BuildRequires: gettext, desktop-file-utils

Requires:      libhangul >= 0.0.6
Requires:      im-chooser
Requires(post): %{_sbindir}/alternatives
Requires(preun): %{_sbindir}/alternatives

%description
Nabi is a XIM for Korean, implemented with GTK+2.
It shows its status in the notification area.

%prep
%setup -q -n %{name}-%{version}_fedora
%patch0 -p0

%build
aclocal
automake
%configure
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT 
mkdir -p 644 $RPM_BUILD_ROOT%{_sysconfdir}/X11/xinit/xinput.d
install -D -m 644 -p %{SOURCE2} $RPM_BUILD_ROOT%{_sysconfdir}/X11/xinit/xinput.d/%{name}

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post
%{_sbindir}/alternatives --install %{_sysconfdir}/X11/xinit/xinput.d/ko_KR xinput-ko_KR %{_sysconfdir}/X11/xinit/xinput.d/%{name} 30

%postun
if [ "$1" = 0 ]; then
   %{_sbindir}/alternatives --remove xinput-ko_KR %{_sysconfdir}/X11/xinit/xinput.d/%{name}
fi

%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS COPYING NEWS README
%{_bindir}/nabi
%{_datadir}/nabi
%config (noreplace) %{_sysconfdir}/X11/xinit/xinput.d/%{name}


%changelog
* Fri Feb 15 2008 Subhransu Behera <sbehera@redhat.com> - 0.18-9
- Resolved bug # 432594

* Tue Feb 05 2008 Subhransu Behera <sbehera@redhat.com> - 0.18-8
- Resolved bug # 431195

* Mon Sep 03 2007 Subhransu Behera <sbehera@redhat.com> - 0.18-7
- Removed non-free themes from source

* Fri Aug 10 2007 Subhransu Behera <sbehera@redhat.com> - 0.18-6
- Removed unnecessary desktop file
- Tidy doc filelist

* Wed Aug 08 2007 Subhransu Behera <sbehera@redhat.com> - 0.18-5
- Updated license to GPLv2+
- No need to clean buildroot in prep

* Tue Aug 07 2007 Subhransu Behera <sbehera@redhat.com> - 0.18-4
- Supported parallel make
- Used the full path for alternatives

* Mon Aug 06 2007 Subhransu Behera <sbehera@redhat.com> - 0.18-3
- improved desktop file installation
- fixed xinput.d filename  

* Mon Jul 30 2007 Jens Petersen <petersen@dhcp-65.brisbane.redhat.com> - 0.18-2
- move desktop file to a source file
- drop themeRemove.sh and remove problematic themes at install time
- update description
- fix location of xinput file

* Thu Jul 26 2007 Subhransu Behera <sbehera@redhat.com> - 0.18-1
- Upgraded to 0.18 release

* Thu Jul 05 2007 Subhransu Behera <sbehera@redhat.com> - 0.17-2
- upgraded to 0.17 release

* Wed Mar 16 2005 Warren Togami <wtogami@redhat.com> -  0.14-4
- many spec fixes

* Tue Oct 12 2004 Leon Ho <llch@redhat.com>
- add NoDisplay=true to .desktop to hide desktop entry

* Wed Sep 29 2004 Lawrence Lim <llim@redhat.com>
- upgraded to 0.14
- fix bug 131586
  - Trademaked icons in nabi themes
- fix bug 131866
  - Upgrade nabi to 0.14

* Tue Jul 06 2004 Leon Ho <llch@redhat.com>
- upgraded to 0.13
- added support to xinitrc-4.0.1
  - added xinput-nabi
  - added alternativies on post and preun

* Tue Jun 15 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Fri Feb 13 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Tue Dec 02 2003 David Joo <djoo@redhat.com> 0.11-3
- Packaged against Fedora Core2

* Sat Nov 29 2003 DongCheon Park <pdc@kaist.ac.kr> 0.11-1pdc
- updated to 0.11 release

* Sat Nov 29 2003 DongCheon Park <pdc@kaist.ac.kr> 0.10-2pdc
- fixed BuildRequires

* Sun Nov 09 2003 DongCheon Park <pdc@kaist.ac.kr> 0.10-1pdc
- updated to 0.10 release

* Mon Oct 20 2003 DongCheon Park <pdc@kaist.ac.kr> 0.9-2pdc
- added RedHat/Mandrake specific entries

* Wed Oct 15 2003 DongCheon Park <pdc@kaist.ac.kr> 0.9-1pdc
- updated to 0.9 release

* Thu Oct 09 2003 DongCheon Park <pdc@kaist.ac.kr> 0.8-1pdc
- updated to 0.8 release

* Fri Sep 26 2003 DongCheon Park <pdc@kaist.ac.kr> 0.7-1pdc
- updated to 0.7 release

* Tue Sep 16 2003 DongCheon Park <pdc@kaist.ac.kr> 0.6-1pdc
- updated to 0.6 release

* Mon Sep 08 2003 DongCheon Park <pdc@kaist.ac.kr> 0.5-1pdc
- updated to 0.5 release

* Wed Sep 03 2003 DongCheon Park <pdc@kaist.ac.kr> 0.4-2pdc
- cleaned up nabi.spec

* Wed Aug 27 2003 DongCheon Park <pdc@kaist.ac.kr> 0.4-1pdc
- updated to 0.4 release

* Mon Aug 11 2003 DongCheon Park <pdc@kaist.ac.kr> 0.3-1pdc
- updated to 0.3 release

* Sat Aug 09 2003 DongCheon Park <pdc@kaist.ac.kr> 0.2-1pdc
- updated to 0.2 release

* Thu Aug 07 2003 DongCheon Park <pdc@kaist.ac.kr> 0.1-1pdc
- initial build
